<template>
  <div class="page">
    <div class="c-row items-start">
      <list-class-schedule @selected="handleListSelected" />
      <previewer-class-schedule
        class="ml-20px"
        :class-schedule="selectedClassSchedules"
      />
    </div>
  </div>
</template>


<script lang='ts' setup>
import { ref } from 'vue';
import { ClassSchedule } from '../types/main.type';

import ListClassSchedule from '../components/list-class-schedule.vue';
import PreviewerClassSchedule from '../components/previewer-class-schedule.vue';

const selectedClassSchedules = ref<ClassSchedule>();
const handleListSelected = (classSchedule: ClassSchedule | undefined) => {
  selectedClassSchedules.value = classSchedule;
};
</script>
